Trigger manual data sync
POST
/api/v1/connectors/{connector_id}/sync
const url = 'https://api.ultimateteam.ai/api/v1/connectors/example/sync';const options = {method: 'POST', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/connectors/example/sync \ --header 'X-API-Key: <X-API-Key>'Enqueues an asynchronous data sync for the connector instance. Returns 202 Accepted immediately.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”connector_id
required
Connector Id
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
SyncResponse
Response for POST /connectors/{id}/sync.
Attributes: connector_id: Instance identifier. sync_status: Always ‘queued’ (async operation).
object
connector_id
required
Connector Id
string
sync_status
required
Sync Status
string
Examplegenerated
{ "connector_id": "example", "sync_status": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}